Listele — CMS sayfaları
İçerik sayfalarını ve çevirilerini görüntüleyin.
GET
/api/v1/pagescURL isteği
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url 'https://shop.onshopently.com/api/v1/pages?limit=20' \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
Yanıt
{
"data": [
{
"created_at": "2026-01-01T12:00:00Z",
"id": "example",
"is_available": true,
"market_scope": "all",
"number": "example",
"published": false,
"slug": "example",
"title": "example",
"updated_at": "2026-01-01T12:00:00Z",
"version": 1
}
],
"meta": {
"locale": "en",
"market_code": "PL",
"market_id": "example",
"pagination": {
"has_more": false,
"limit": 20,
"next_cursor": null
},
"request_id": "example"
}
}
Gerekli izinler
- Kimlik doğrulama
- Erişim belirteci
- En düşük plan
- STANDARD
- Anahtar izni
- Sayfaları görüntüle
content.page:read